xclade
Admin APICampaigns

Manage the Promotions of a Campaign

Manage the promotions of a campaign, either by adding them or removing them from the campaign.

POST
/admin/campaigns/{id}/promotions
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The campaign's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

add?array<add>

The promotions to add to the campaign.

remove?array<remove>

The promotions to remove from the campaign.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/campaigns/string/promotions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "campaign": {
    "id": "string",
    "name": "string",
    "description": "string",
    "currency": "string",
    "campaign_identifier": "string",
    "starts_at": "string",
    "ends_at": "string",
    "budget": {
      "id": "string",
      "type": "spend",
      "currency_code": "string",
      "limit": 0,
      "used": 0,
      "attribute": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}